<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout2}">


<head>
    <meta charset="UTF-8">

    <style>
        .input-group-append {
            cursor: pointer;
        }
    </style>
    <title>Employes</title>
</head>
<body>
<main layout:fragment="main" class="container-xxl bd-gutter mt-3 my-md-4 bd-layout">
    <div th:include="sidebar_setting::sidebar_setting" th:remove="tag"> sidebar </div>
    <main class="bd-main-xxl">
    <div class="row">
        <div class="col-md-12">
            <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
                Employes
            </div>
        </div>
    </div>
        <div
                class="alert alert-danger"
                role="alert"
                th:if="${erorada != null}"
        >
            <span th:text="${erorada}"></span>
        </div>
    <br>
    <div class="row">
        <div class="col-md-6">
            <form class="form-horizontal" th:action="@{/masterdata/karyawan/save}" th:object="${karyawan}" method="post">
                <div class="card">
                    <div class="card-body">

                        <div class="mb-3">
                            <label for="nik" class="form-label">NIK</label>
                            <input type="text" class="form-control" id="nik" th:field="*{nik}" name="nik" placeholder="NIK">
                            <p th:if="${#fields.hasErrors('nik')}" th:errors="*{nik}" class="text-danger"> Mata Anggaran Error</p>
                        </div>

                        <div class="mb-3">
                            <label for="namaKaryawan" class="form-label">Name</label>
                            <input type="text" class="form-control" id="namaKaryawan" th:field="*{namaKaryawan}" name="namaKaryawan" placeholder="Name">
                            <p th:if="${#fields.hasErrors('namaKaryawan')}" th:errors="*{namaKaryawan}" class="text-danger"> Mata Anggaran Error</p>
                        </div>

                        <div class="mb-3">
                            <label for="gelar" class="form-label">Title</label>
                            <input type="text" class="form-control" id="gelar" th:field="*{gelar}" name="gelar" placeholder="Title">
                            <p th:if="${#fields.hasErrors('gelar')}" th:errors="*{gelar}" class="text-danger"> Mata Anggaran Error</p>
                        </div>

                        <div class="form-check">
                            <input class="form-check-input" type="radio" name="optionsRadios" id="jenisKelamin" value="PRIA" th:field="*{jenisKelamin}" checked>
                            <label class="form-check-label" for="jenisKelamin">
                                Pria
                            </label>
                        </div>
                        <div class="form-check">
                            <input class="form-check-input" type="radio" name="optionsRadios" id="jenisKelamin2" th:field="*{jenisKelamin}" value="WANITA">
                            <label class="form-check-label" for="jenisKelamin2">
                                Wanita
                            </label>
                        </div>

                        <div class="mb-3">
                            <label for="email" class="form-label">Email</label>
                            <input type="email" class="form-control" id="email" th:field="*{email}" name="email" placeholder="Email">
                            <p th:if="${#fields.hasErrors('email')}" th:errors="*{email}" class="text-danger"> Mata Anggaran Error</p>
                        </div>
                        <div class="mb-3">
                            <label for="tanggalLahirString" class="form-label">Date Of Birth</label>
                            <input type="date" class="form-control" id="tanggalLahirString" th:field="*{tanggalLahirString}" name="tanggalLahirString" placeholder="">
                            <p th:if="${#fields.hasErrors('tanggalLahirString')}" th:errors="*{tanggalLahirString}" class="text-danger"> Mata Anggaran Error</p>
                        </div>

                        <div class="form-check">
                            <input name="statusAktif" id="statusAktif" type="checkbox" class="form-check-input" th:field="*{statusAktif}" value="AKTIF" >
                            <label class="form-check-label" for="statusAktif">
                                Active
                            </label>
                        </div>

                        <input type="hidden" name="user" th:field="*{user}">
                        <input type="hidden" name="id" th:field="*{id}">
                    </div>
                    <div class="card-body">
                        <a th:href="@{/masterdata/karyawan}" class="btn btn-light" style="--bs-btn-bg: #e8ecf1">Cancel</a>
                        <button type="submit" class="btn btn-primary pull-right" style="--bs-btn-bg: #15408d" id="simpan">Save</button>
                    </div>
                </div>

            </form>
        </div>
    </div>
    </main>
</main>

</body>
</html>
